#pragma once

#include "AggreGateException.h"
#include <string>

class RemoteDeviceErrorException : public AggreGateException
{
public:
    RemoteDeviceErrorException(const AgString& message) : AggreGateException(message) {}
    RemoteDeviceErrorException(const AgString& message, const AgString& details) : AggreGateException(message, details) {}
};
